"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
const GlobalSetting_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/GlobalSetting.vue2.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const shard = require("../shard.js");
const axis = require("../../../../chartConfiguration/echarts/axis.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(GlobalSetting_vue_vue_type_script_setup_true_lang.default), {
          optionData: __props.optionData,
          "in-chart": true
        }, null, 8, ["optionData"]),
        (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(__props.optionData.series, (item, index) => {
          return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
            name: `散点-${index + 1}`,
            expanded: "",
            key: index
          }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "样式" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "类型" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_select, {
                        value: item.type,
                        "onUpdate:value": ($event) => item.type = $event,
                        size: "small",
                        options: reactivity_esmBundler.unref(shard.ScatterEffectTypeEnumList),
                        placeholder: "选择"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "大小" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.symbolSize,
                        "onUpdate:value": ($event) => item.symbolSize = $event,
                        size: "small",
                        min: 1
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "标域" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "粗细(0不显示)" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.markArea.itemStyle.borderWidth,
                        "onUpdate:value": ($event) => item.markArea.itemStyle.borderWidth = $event,
                        size: "small",
                        min: 0
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "符号" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_select, {
                        value: item.markArea.itemStyle.borderType,
                        "onUpdate:value": ($event) => item.markArea.itemStyle.borderType = $event,
                        size: "small",
                        options: reactivity_esmBundler.unref(axis.axisConfig).splitLint.lineStyle.type,
                        placeholder: "选择"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "标点" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "形状" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_select, {
                        value: item.markPoint.symbol,
                        "onUpdate:value": ($event) => item.markPoint.symbol = $event,
                        size: "small",
                        options: reactivity_esmBundler.unref(shard.SymbolEnumList),
                        placeholder: "选择"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "大小" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.markPoint.symbolSize,
                        "onUpdate:value": ($event) => item.markPoint.symbolSize = $event,
                        size: "small",
                        min: 0
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024)
            ]),
            _: 2
          }, 1032, ["name"]);
        }), 128))
      ], 64);
    };
  }
});
exports.default = _sfc_main;
